

#ifndef STANDALONE_INPUTS

void cuda_minimize(const coot::restraints_container_t &rest,
		   atom_selection_container_t asc,
		   const clipper::Xmap<float> &xmap,
		   float map_weight,
                   unsigned int n_blocks, unsigned int n_threads_per_block,
		   bool write_data_for_standalone);

void write_atoms(const coot::restraints_container_t &rc, const std::string &file_name);

cuda_restraints_transfer_container_t convert_to_cuda_restraints(const coot::restraints_container_t &rc);

#else

void cuda_minimize(const cuda_restraints_transfer_container_t &restraints,
		   const atoms_container_t &atoms,
		   nxmap_cuda h_map,
		   float map_weight,
		   unsigned int n_blocks,
		   unsigned int n_threads_per_block);

#endif // STANDALONE_INPUTS



// called by both of the above

atoms_container_t cuda_minimize_inner(const cuda_restraints_transfer_container_t &trestraints,
				      const atoms_container_t &atoms,
				      const nxmap_cuda &d_map,
				      float map_weight,
				      unsigned int nb, unsigned int nt,
				      bool write_data_for_standalone);



