
#include <string>
#include "atoms-container-t.hh"
#include "cuda-restraints.cuh"
#include "nxmap-cuda.cuh"
#include "cuda-minimize.hh"

int main(int argc, char **argv) {

   int status = 0;

   int n_blocks = 4;
   int n_threads_per_block = 512;

   cuda_restraints_transfer_container_t restraints("standalone-restraints.list");
   atoms_container_t atoms("standalone-atoms.list");
   nxmap_cuda h_nxmap("standalone-map.list");
   float map_weight = 40.0;

   cuda_minimize(restraints, atoms, h_nxmap, map_weight, n_blocks, n_threads_per_block);

   return status;

}
